Subject: [Cfrg] Fwd: [saag] [Sam Hartman] draft-harris-ssh-arcfour-fixes-02: informational or proposed?

From: "David A. McGrew" <[email-masked]>
Date: Wed, 1 Jun 2005 14:41:23 -0700

FYI.

Begin forwarded message:

> From: Sam Hartman <[email-masked]>
> Date: June 1, 2005 12:04:07 PM PDT
> To: [email-masked], [email-masked]
> Subject: [saag] [Sam Hartman] draft-harris-ssh-arcfour-fixes-02: 
> informational or proposed?
> Reply-To: [email-masked]
>
>
>
> Hi.  I believe the following request is of interest to secsh and saag.
>
>
> From: Sam Hartman <[email-masked]>
> Date: June 1, 2005 11:35:07 AM PDT
> To: [email-masked]
> Cc: [email-masked]
> Subject: draft-harris-ssh-arcfour-fixes-02: informational or proposed?
>
>
>
>
> Hi, folks.  The IESG has received a last call comment recommending
> that the new rc4 cipher for ssh be published as informational rather
> than as a proposed standard because of weaknesses in rc4.  It would be
> inappropriate to make a decision based on one comment so I am
> soliciting comments on this point.
>
> The argument in favor of publishing this document at proposed is that
> the existing arcfour cipher is part of a standard and that many other
> IETF protocols use rc4 in standards track documents.
>
>
> Please submit comments to [email-masked] or [email-masked] on this issue
> by 2005-06-28.
>
> Included below is a partial bibliography of RC4 attacks provided to
> the IESG by the person making the original comment.
>
>
>
> S. Fluhrer, I. Mantin, & A. Shamir, "Weaknesses in the Key Scheduling
> Algorithm of RC4", Proceedings of 8th Annual International Workshop
> on Selected areas in Cryptography (SAC 2001), Toronto, ON, CA,
> August 2001.
>
> J. D. Golic, "Linear Statistical Weakness of RC4 Key Generator",
> Procedings of EuroCrypt 1997, Konstanz, DE, May 1997.
>
> S. Fluhrer & D. McGrew, "Statistical Analysis of the RC4 Key
> Generator", Proceedings of 7th International Workshop on Fast
> Software Encryption (FSE 2000), New York, NY, US, April 2000.
>
> S. Mister & S.E. Tavares, "Cryptanalysis of RC4-like Ciphers",
> Proceedings of 5th Annual International Workshop on Selected
> Areas in Cryptography (SAC 1998), Kingston, ON, CA, August 1998.
>
> L. Knudsen, W. Meier, B. Preneel, V. Rijmen, & S. Verdoolaege,
> "Analysis Method for RC4", Proceedings of AsiaCrypt 1998.
>
> R. Wash, "Lecture Notes on Stream Ciphers and RC4", unpublished,
> Case Western Reserve University, OH, US
> http://acm.cwru.edu/files/2002%20Spring/talks/latex_samp2_4_09_02.pdf
>
> S. Paul & B. Preneel, "Analysis of Non-fortuitous Predictive States
> of the RC4 Key Generator", Proceedings of 4th International Conference
> on Cryptology in India (IndoCrypt 2003), New Delhi, IN, December 2003.
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
>
>
>
> _______________________________________________
> saag mailing list
> [email-masked]
> https://jis.mit.edu/mailman/listinfo/saag

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg

---

From: Greg Rose <[email-masked]>
Date: Wed, 01 Jun 2005 14:49:24 -0700

I am strongly of the opinion that RC4 should be deprecated, therefore that 
this RFC shouldn't be published *at all*. Certainly not as a proposed standard.

Greg.

>>on Cryptology in India (IndoCrypt 2003), New Delhi, IN, December 2003.

Greg Rose                                    INTERNET: [email-masked]
Qualcomm Incorporated     VOICE: +1-858-651-5733   FAX: +1-858-651-5766
5775 Morehouse Drive                    http://people.qualcomm.com/ggr/
San Diego, CA 92121   232B EC8F 44C6 C853 D68F E107 E6BF CD2F 1081 A37C